﻿'//XBee API mode test with send_api
'//aoi shimada aoi480nm@gmail.com 2011-11-03 
'//aoi shimada aoiimomushi@gmail.com 2013-02-26 
'//Test application of datasend_api for XBee S2 data transfer
'//Copyright (c)  2013 aoi shimada aoi480nm@gmail.com

Option Explicit On

Public Class Form1

    Private port As System.IO.Ports.SerialPort

    Private Sub Form1_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        Me.Text = "datasend_test_form_vb"
    End Sub

    Private Sub btnOpen_Click(sender As Object, e As EventArgs) Handles btnOpen.Click

        Dim prt As String

        prt = txtPrt.Text

        Try
            '//Port setup is required to satisfy the serial settings
            '//of your XBee module.  
            '//For example----
            port = New System.IO.Ports.SerialPort(prt, 9600)
            port.Parity = System.IO.Ports.Parity.None
            port.StopBits = System.IO.Ports.StopBits.One
            port.Handshake = System.IO.Ports.Handshake.None
            port.DtrEnable = False
            port.RtsEnable = False
            '//----Example

            port.Open()

        Catch ex As Exception
        End Try
    End Sub

    Private Sub btnClose_Click(sender As Object, e As EventArgs) Handles btnClose.Click
        Try
            port.Close()
        Catch ex As Exception
        End Try
    End Sub

    Private Sub btnSend_Click(sender As Object, e As EventArgs) Handles btnSend.Click
        Dim i As UInteger
        Dim str As String = Me.txtData.Text
        Dim dat As Char() = str.ToCharArray()

        Dim addressH As String = Me.txtH.Text
        Dim addressL As String = Me.txtL.Text

        '//Construct an instance of send_api 
        Dim myapi As datasend_api.send_api = New datasend_api.send_api(port)

        '//Send the test data over api_mode of XBee            
        myapi.datasend(addressH, addressL, dat)
    End Sub

    Private Sub button1_Click(sender As Object, e As EventArgs) Handles button1.Click
        Dim about As AboutBox1 = New AboutBox1()
        about.Show()
    End Sub
End Class
